Subject: Re: help with kernel panics in task swapper on 460ex

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 14 Aug 2010 09:44:31 +1000

On Fri, 2010-08-13 at 15:36 -0500, Ayman El-Khashab wrote:
> 
> The exact details (though I don't think they are too useful are as follows.
> The one interesting item if I read it correctly, is that the CPU was 
> trying to get instructions from c002xxxx address.  However, this board only
> has 512MB of memory so it seems that the address (if it is physical) isn't 
> valid.  

Actually this is a perfectly valid virtual address. The kernel maps
memory at 0xc0000000 (at least the first 768M of it, the rest is
dynamically mapped in/out).

> Are there any tricks we can use to analyze this problem?  Or is there any
> information we can collect to help pinpoint where this issue might lie?

Well, xmon is your friend ...

Ben.